#
# spec file for package python-mistune
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-mistune
Version:        0.7
Release:        7.2
Summary:        The fastest markdown parser in pure Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/lepture/mistune
Source0:        https://pypi.python.org/packages/source/m/mistune/mistune-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The fastest markdown parser in pure Python, inspired by marked.

%prep
%setup -q -n mistune-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Thu Aug 13 2015 toddrme2178@gmail.com
- update to version 0.7:
  * Fix the breaking change in version 0.6 with options:
    parse_inline_html and parse_block_html
  * Breaking change: remove parse_html option for explicit
  * Change option escape default value to True for security reason
- update to version 0.6:
  * Breaking change on inline HTML, text in inline HTML will not be
    parsed per #38.
  * Replace tag renderer with inline_html for breaking change on
    inline HTML
  * Double emphasis, emphasis, code, and strikethrough can contain one
    linebreak per #48.
  * Match autolinks that do not have / in their URI via #53.
  * A work around on link that contains ) per #46.
  * Add <font> tag for inline tags per #55.
* Tue Apr  7 2015 zaitor@opensuse.org
- Update to version 0.5.1:
  + Fix a bug when list item is blank via ipython#7929.
  + Use python-wheels to build wheels for Mac.
- Drop 0001-Fix-when-list-item-is-blank.-Refer-https-github.com-.patch
  fixed upstream.
- Fix source URL.
- Add fdupes BuildRequires and fdupes macro, remove duplicated
  files.
- Package LICENSE README.rst.
* Sun Mar  8 2015 tbehrens@suse.com
- Add 0001-Fix-when-list-item-is-blank.-Refer-https-github.com-.patch
  to fix #8 in odpdown, and
  https://github.com/ipython/ipython/issues/7929. This is a backport
  from upstream master.
* Sat Feb  7 2015 tbehrens@suse.com
- Update to mistune 0.5:
  * For custom lexers, *features* is replaced with *rules*
  * Refactor on function names and codes
  * Add a way to output the render tree via `#20`
  * Fix emphasis and strikethrough regular expressions
- Changes from version 0.4.1
  * Add option for parse markdown in block level html
  * Fix on lheading, any number of underline = or - will work
  * Patch for setup if Cython is available but no C compiler
* Wed Oct  8 2014 nevion@gmail.com
-initial import
